Authen::Passphrase::Clear(3)

NAME
Authen::Passphrase::Clear - cleartext passphrases

SYNOPSIS
        use Authen::Passphrase::Clear;

        $ppr = Authen::Passphrase::Clear->new("passphrase");

        if($ppr->match($passphrase)) { ...

        $passphrase = $ppr->passphrase;

        $userPassword = $ppr->as_rfc2307;

DESCRIPTION
An object of this class is a passphrase recogniser that accepts some particular passphrase which it knows. This is a subclass of Authen::Passphrase, and this document assumes that the reader is familiar with the documentation for that class.

Warning: Storing a passphrase in cleartext, as this class does, is a very bad idea. It means that anyone who sees the passphrase file immediately knows all the passphrases. Do not use this unless you really know what you're doing.

CONSTRUCTORS

Authen::Passphrase::Clear->new(PASSPHRASE)
    Returns a passphrase recogniser object that stores the specified passphrase in cleartext and accepts only that passphrase.

Authen::Passphrase::Clear->from_rfc2307(USERPASSWORD)
    Generates a cleartext passphrase recogniser from the supplied RFC2307 encoding. The string must consist of "{CLEARTEXT}" (case insensitive) followed by the passphrase.

METHODS

$ppr->match(PASSPHRASE)
$ppr->passphrase
$ppr->as_rfc2307
    These methods are part of the standard Authen::Passphrase interface. The "passphrase" method trivially works.

SEE ALSO
Authen::Passphrase

AUTHOR
Andrew Main (Zefram) <zefram@fysh.org>

COPYRIGHT
Copyright (C) 2006, 2007, 2009, 2010, 2012 Andrew Main (Zefram) <zefram@fysh.org>

LICENSE
This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.